| threaddb 2.0 A file mapped memory container extension

Public Member Functions | Public Attributes | Friends | List of all members
tdb::Point< T, D > Struct Template Reference

Point basic class definition. More...

`#include <threaddbRGrid.h>`

## Public Member Functions
| Point ()
| Point (T x_p)
| Point (T x_p, T y_p)
| Point (T x_p, T y_p, T z_p)
const T | x () const
T & | x ()
const T | y () const
T & | y ()
const T | z () const
T & | z ()
Point & | operator+= (const Point &rhs_p)
Point & | operator-= (const Point &rhs_p)
size_t | dimension ()

## Public Attributes
T | _c [D]

## Friends
std::ostream & | operator<< (std::ostream &os, const Point &P)
std::istream & | operator>> (std::istream &is, Point &P)

## Detailed Description

### template<typename T, size_t D>
struct tdb::Point< T, D >

Point basic class definition.

## Constructor & Destructor Documentation

## ◆ Point() [1/4]

template<typename T, size_t D>

tdb::Point< T, D >::Point | ( |  | ) |
| inline

## ◆ Point() [2/4]

template<typename T, size_t D>

tdb::Point< T, D >::Point | ( | T | x_p | ) |
| inline

## ◆ Point() [3/4]

template<typename T, size_t D>

tdb::Point< T, D >::Point | ( | T | x_p,
|  | T | y_p
| ) |  |
| inline

## ◆ Point() [4/4]

template<typename T, size_t D>

tdb::Point< T, D >::Point | ( | T | x_p,
|  | T | y_p,
|  | T | z_p
| ) |  |
| inline

## Member Function Documentation

## ◆ dimension()

template<typename T, size_t D>

size_t tdb::Point< T, D >::dimension | ( |  | ) |
| inline

## ◆ operator+=()

template<typename T, size_t D>

Point& tdb::Point< T, D >::operator+= | ( | const Point< T, D > & | rhs_p | ) |
| inline

## ◆ operator-=()

template<typename T, size_t D>

Point& tdb::Point< T, D >::operator-= | ( | const Point< T, D > & | rhs_p | ) |
| inline

## ◆ x() [1/2]

template<typename T, size_t D>

T& tdb::Point< T, D >::x | ( |  | ) |
| inline

## ◆ x() [2/2]

template<typename T, size_t D>

const T tdb::Point< T, D >::x | ( |  | ) | const
| inline

## ◆ y() [1/2]

template<typename T, size_t D>

T& tdb::Point< T, D >::y | ( |  | ) |
| inline

## ◆ y() [2/2]

template<typename T, size_t D>

const T tdb::Point< T, D >::y | ( |  | ) | const
| inline

## ◆ z() [1/2]

template<typename T, size_t D>

T& tdb::Point< T, D >::z | ( |  | ) |
| inline

## ◆ z() [2/2]

template<typename T, size_t D>

const T tdb::Point< T, D >::z | ( |  | ) | const
| inline

## Friends And Related Function Documentation

## ◆ operator<<

template<typename T, size_t D>

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Point< T, D > & | P
| ) |  |
| friend

## ◆ operator>>

template<typename T, size_t D>

std::istream& operator>> | ( | std::istream & | is,
|  | Point< T, D > & | P
| ) |  |
| friend

## Member Data Documentation

## ◆ _c

template<typename T, size_t D>

T tdb::Point< T, D >::_c[D]

The documentation for this struct was generated from the following file:

- B:/threaddbwc/branches/threaddb-2.0/1stParty/threaddb/public/threaddbRGrid.h